#! /bin/sh -e

# DP: Disable running the boehm-gc testsuite. Hangs the buildd at least on hppa.

dir=
if [ $# -eq 3 -a "$2" = '-d' ]; then
    pdir="-d $3"
    dir="$3/"
elif [ $# -ne 1 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi
case "$1" in
    -patch)
        patch $pdir -f --no-backup-if-mismatch -p0 < $0
        ;;
    -unpatch)
        patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
        ;;
    *)
        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
        exit 1
esac
exit 0

--- boehm-gc/Makefile.in~	2004-06-20 16:24:06.000000000 +0200
+++ boehm-gc/Makefile.in	2004-06-23 09:43:42.000000000 +0200
@@ -662,7 +662,8 @@
 	  test "$$failed" -eq 0; \
 	else :; fi
 check-am: $(check_PROGRAMS)
-	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
+	: # $(MAKE) $(AM_MAKEFLAGS) check-TESTS
+	@echo target $@ disabled for Debian build.
 check: check-recursive
 all-am: Makefile $(LTLIBRARIES) all-multi
 installdirs: installdirs-recursive
